* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-text-size-adjust: none;
    font-family: "Paperlogy";
}

li {
    list-style: none;
}

a {
    text-decoration: none;
    color: #fff;
}

p {
    font-size: 18px;
}

body {
    background: #000;
}

/*컨텐츠 공통*/
.conAll {
    width: 100%;
    max-width: 1440px;
    color: #fff;
    margin: 0 auto;
}

/*상단 메인*/
.main {
    padding: 250px 0;
}

.mainTop {
    position: relative;
    padding-bottom: 32px;
}

.mainTopBg {
    text-align: center;
}

.mainTopBg video {
    width: 320px;
    height: 540px;
    object-fit: cover;
}


.mainTopTitle {
    position: absolute;
    z-index: 1;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
}

.mainTopTitle p {
    font-size: 62px;
    font-weight: 700;
}

.mainMid {
    margin: 0 auto;
    width: 1px;
    height: 50px;
    background: #fff;
}

.mainBottom {
    padding-top: 32px;
}

.mainBottom p {
    text-align: center;
    font-size: 18px;
}


/*프로덕트*/
.productAll {
    width: 100%;
    background-color: #fff;
    color: #000;
    padding-top: 50px;
    padding: 50px 5% 0 5%;
    display: flex;
}

.productAll a {
    color: #000;
}

/*프로덕트 사이드 메뉴*/
.productMenu {
    width: 20%;
}

.productMenuTItle p {
    font-size: 36px;
    font-weight: 700;
    padding-bottom: 12px;
}

.productMenuBtn {
    display: flex;
    flex-direction: column;
}

.productMenuBtn a {
    padding-bottom: 12px;
    color: #B3B3B3;
    font-size: 18px;
    font-weight: 500;
}

.productMenuBtn a:nth-child(1) {
    color: #000;
    font-weight: 700;
    text-decoration: underline;
}


/*프로덕트 컨텐츠*/
.productCon {
    width: 80%;
    margin: 0 auto;
    text-align: center;
}

.featuresTitle p, .specTitle p {
    font-size: 84px;
    font-weight: 800;
}

.swiper {
    width: 100%;
    height: 600px;
}

.swiper-slide {
    text-align: start;
    font-size: 18px;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

.swiperTitle p:nth-child(1) {
    color: #0D4057;
    font-weight: 700;
}

.swiperTitle p:nth-child(2) {
    color: #000;
    font-weight: 700;
    font-size: 32px;
}

.swiperImg {
    padding: 0 24px;
}

.swiper-slide-mo {
    display: none !important;
}

/*프로덕트 스펙*/
.specAll {
    padding: 150px 0;
}

.specTitle {
    display: flex;
    justify-content: center;
    padding-bottom: 66px;
}

/*프로덕트 스펙-툴팁*/
.tooltip {
  position: relative;
  display: inline-block;
  cursor: pointer;
}

.tooltip .tooltipText {
  visibility: hidden;
  width: 180px;
  background-color: #333;
  color: #fff;
  text-align: start;
  border-radius: 8px;
  padding: 8px;
  position: absolute;
  z-index: 1;
  bottom: 120%; /* 아이콘 위로 배치 */
  left: 50%;
  transform: translateX(-50%);
  opacity: 0;
  transition: all 0.3s ease;
}

.tooltip:hover .tooltipText {
  visibility: visible;
  opacity: 1;
}

/*프로덕트 스펙-아이템*/
.specConTitle {
    padding: 18px 12px;
    text-align: start;
}

.specConTitle p{
    font-size: 28px;
    font-weight: 700;
    color: #0D4057;
}

.specCon {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: space-between;
    justify-items: center;
}

.specItem {
    position: relative;
    width: 340px;
    overflow: hidden;
    cursor: pointer;
    margin-bottom: 28px;
}

.specItemImg {
    position: relative;
    width: 100%;
    height: 260px;
    border: 1px solid #E2E5EC;
    background-color: #F8F8FA;
    border-radius: 8px;
}

.specItemImg .overlay {
    position: absolute;
    top: 0; left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    color: #fff;
    padding: 20px;
    box-sizing: border-box;
    border-radius: 8px;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    text-align: start;

    opacity: 0;
    transform: translateY(20px);
    transition: all 0.3s ease;
}

.specItemImg:hover .overlay {
    opacity: 1;
    transform: translateY(0);
}

.overlayTitle p {
    font-size: 32px;
    font-weight: 700;
    padding-bottom: 16px;
}

.overlayText {
    display: flex;
}

.overlayTextLeft {
    padding-right: 20px;
}

.specItemText {
    text-align: start;
    padding-top: 12px;
}

.specItemText p:nth-child(1) {
    font-size: 14px;
    font-weight: 600;
    color: #868686;
}

.specItemText p:nth-child(2) {
    font-size: 20px;
    font-weight: 600;
}

/*프로덕트 스펙-모달*/
.modal {
    display: none;
    position: fixed;
    z-index: 999;
    left: 0; top: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
}

.modal-content {
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    background: #fff;
    padding: 30px;
    width: 600px;
    height: 500px;
    max-width: 90%;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.3);
    overflow-y: scroll;
}

.modal-content h2 {
    text-align: start;
}


.close {
    position: absolute;
    top: 10px; right: 15px;
    font-size: 48px;
    cursor: pointer;
}

#modalTable {
    width: 100%;
    border-collapse: collapse;
    margin-top: 20px;
    border-top: 3px solid #000;
    border-bottom: 3px solid #000;
}

#modalTable td {
    border: 1px solid #D9D9D9;
    padding: 8px;
}

#modalTable td:first-child {
    background-color: #E6EFF2;
    font-weight: 700;
    color: #0D4057;
    width: 45%;
}


/* 반응형 디자인 */
@media (max-width: 1500px) {

    /*컨텐츠 공통*/
    .conAll {
        max-width: 1260px;
    }

    /*프로덕트 스펙-아이템*/
    .specCon {
        grid-template-columns: repeat(2, 1fr);
    }

    .specItem {
        width: 440px;
    }


}

@media (max-width: 1400px) {

    /*컨텐츠 공통*/
    .conAll {
        max-width: 1000px;
    }

    /*프로덕트 컨텐츠*/
    .featuresTitle p, .specTitle p {
        font-size: 68px;
    }

    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 400px;
    }
}

@media (max-width: 1200px) {

    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 360px;
    }
}


@media (max-width: 1024px) {

    /*컨텐츠 공통*/
    .conAll {
        max-width: 860px;
        width: 90%;
    }


    /*프로덕트*/
    .productAll {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    /*프로덕트 사이드 메뉴*/
    .productMenu {
        display: none;
    }


    /*프로덕트 컨텐츠*/
    .productCon {
        width: 100%;
    }

}


@media (max-width: 852px) {


    /*프로덕트 컨텐츠*/
    .swiper-slide p {
        font-size: 16px;
    }

    .swiperTitle p:nth-child(1) {
        font-size: 14px;
    }

    .swiperTitle p:nth-child(2) {
        font-size: 22px;
    }

    .swiperImg {
        width: 40%;
        padding: 0 18px;
    }

    .swiperImg img {
        width: 100%;
    }

    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 320px;
    }

}


@media (max-width: 748px) {

    /*프로덕트 컨텐츠*/
    .featuresTitle p, .specTitle p {
        font-size: 58px;
    }

    /*프로덕트 스펙-아이템*/
    .specCon {
        grid-template-columns: repeat(1, 1fr);
    }

    .specItem {
        width: 440px;
    }

}



@media (max-width: 683px) {

    /*프로덕트 컨텐츠*/
    .swiper-slide {
        display: none !important;
    }

    .swiper-slide-mo {
        display: flex !important;
    }

    .swiperTitle {
        padding-bottom: 6px;
    }

    /*프로덕트 스펙*/
    .specAll {
        padding: 80px 0;
    }

}


@media (max-width: 600px) {

    /*프로덕트 컨텐츠*/
    .featuresTitle p, .specTitle p {
        font-size: 48px;
    }

    /*프로덕트 스펙*/
    .specAll {
        padding: 40px 0;
    }

}


@media (max-width: 525px) {

    /*프로덕트 컨텐츠*/
    .featuresTitle p, .specTitle p {
        font-size: 38px;
    }

    .swiper-slide-mo {
        flex-direction: column;
    }

    .swiperImg {
        width: 50%;
        padding-bottom: 12px;
    }
    
    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 400px;
    }

}

@media (max-width: 500px) {

    /*상단 메인*/
    .mainBottom p {
        font-size: 14px;
    }

    /*프로덕트 스펙-툴팁*/
    .tooltip .tooltipText {
    transform: translateX(-100%);
    }

    .tooltip svg {
        width: 24px !important;
        height: 24px !important;
    }

    /*프로덕트 스펙*/
    .specTitle {
        padding-bottom: 56px;
    }

}


@media (max-width: 455px) {

    /*상단 메인*/
    .mainTopBg video {
        width: 256px !important;
        height: 432px !important;
    }

    .mainTopTitle p {
        font-size: 48px;
    }

    /*프로덕트 컨텐츠*/
    .swiperImg {
        width: 60%;
    }

    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 340px;
    }

    /*프로덕트 스펙-모달*/  
    #modalTable td {
        font-size: 14px;
    }

}


@media (max-width: 380px) {

    /*프로덕트 컨텐츠*/
    .swiperImg {
        width: 70%;
    }

    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 310px;
    }

    /*프로덕트 스펙-아이템*/
    .overlayText p {
        font-size: 16px;
    }

    .overlayTextLeft {
        padding-right: 16px;
    }

    
    /*프로덕트 스펙-모달*/  
    .modal-content {
        padding: 20px 16px;
    }


}


@media (max-width: 350px) {

    /*상단 메인*/
    .mainTopTitle p {
        font-size: 42px;
    }

    /*프로덕트 컨텐츠*/
    .featuresTitle p, .specTitle p {
        font-size: 32px;
    }
    
    /*프로덕트 스펙-아이템*/
    .specItem {
        width: 280px;
    }

    /*프로덕트 스펙-아이템*/
    .overlayText p {
        font-size: 14px;
    }

    .overlayTextLeft {
        padding-right: 16px;
    }

}
